﻿using System;
using System.Configuration;
using System.Diagnostics;
using System.IO;

namespace JJS.CrystalCMS.DBBackup
{
    public class Global : System.Web.HttpApplication
    {
        FileStream traceLog;

        protected void Application_Start(object sender, EventArgs e)
        {
            Application["apiKey"] = ConfigurationManager.AppSettings["apiKey"];
            Application["apiSandBoxKey"] = ConfigurationManager.AppSettings["apiSandBoxKey"];
            Application["databaseName"] = ConfigurationManager.AppSettings["databaseName"];                        
        }

        protected void Application_BeginRequest(object sender, EventArgs e)
        {
            string logFile = Server.MapPath(".\\backupLog.txt");
            traceLog = new FileStream(logFile, FileMode.Append);
            TextWriterTraceListener listener = new TextWriterTraceListener(traceLog);
            Trace.Listeners.Add(listener);
        }

        protected void Application_EndRequest(object sender, EventArgs e)
        {
            Trace.Listeners.Clear();
            traceLog.Close();            
        }
    }
}